#!/bin/sh

init_dev() {

echo "This gstreamer examples works only with one phyCAM - camera at system"
echo "Please read \"camera_select_phyFLEX-i.MX6.txt\" for first start."
echo "====================================================================="

if [ -d /sys/bus/i2c/drivers/mt9v022/2-00* ]; then
	CAMERA="VM-010(mt9v02x)"
	CAM_I2C_ADRESS=$(find /sys/bus/i2c/drivers/mt9v022/ -name "2-00*" | cut -d / -f 7 | cut -c5-6)
	echo "$CAMERA at i2c adress 0x$CAM_I2C_ADRESS detect"
else
	if [ -d /sys/bus/i2c/drivers/mt9m001/2-00* ]; then
		CAMERA="VM-006(mt9m001)"
		CAM_I2C_ADRESS=$(find /sys/bus/i2c/drivers/mt9m001/ -name "2-00*" | cut -d / -f 7 | cut -c5-6)
		echo "$CAMERA at i2c adress 0x$CAM_I2C_ADRESS detect"
	else
		if [ -d /sys/bus/i2c/drivers/mt9m111/2-00* ]; then
			CAMERA="VM-009(mt9m131)"
			CAM_I2C_ADRESS=$(find /sys/bus/i2c/drivers/mt9m111/ -name "2-00*" | cut -d / -f 7 | cut -c5-6)
			echo "$CAMERA at i2c adress 0x$CAM_I2C_ADRESS detect"
		else
			if [ -d /sys/bus/i2c/drivers/mt9p031/2-00* ]; then
				CAMERA="VM-011(mt9p031/mt9p006)"
				CAM_I2C_ADRESS=$(find /sys/bus/i2c/drivers/mt9p031/ -name "2-00*" | cut -d / -f 7 | cut -c5-6)
				echo "$CAMERA at i2c adress 0x$CAM_I2C_ADRESS detect"
			else
				if [ -d /sys/bus/i2c/drivers/tw9910/2-00* ]; then
					CAMERA="VM-008(tw9910)"
					CAM_I2C_ADRESS=$(find /sys/bus/i2c/drivers/tw9910/ -name "2-00*" | cut -d / -f 7 | cut -c5-6)
					echo "$CAMERA at i2c adress 0x$CAM_I2C_ADRESS detect"
				else
					echo "no camera found"
					echo "please check bootarg entries, see \"camera_select_phyFLEX-i.MX6.txt\""
					echo "e.g. CSI0=phyCAM-P,VM-010,0x48"
					echo "please check cable connections" 
					echo ""
					return 1
				fi
			fi
		fi
	fi
fi
echo ""
return 0
}


guess_param() {
	DEVICE="/dev/video0"
	FRAME_SIZE=",width=640,height=480"
	REG_SET_FILE="register-settings-mt9v02x.txt"
	COL_FORMAT="bayer,format=rggb"
	COL_FORMAT_XV="yuv"
	COL_FORMAT_SCALE="yuv"
	BAYER_CONVERT="bayer2rgb ! "
	RAW_COL_FORMAT="bayer"
	NUMBER_OF_PIC="3"
	NORM=""
	[ $CAMERA = "VM-010(mt9v02x)" ] && FRAME_SIZE=",width=752,height=480" && \
		REG_SET_FILE="$(dirname $0)/register-settings-mt9v02x.txt" && \
		COL_FORMAT="bayer,format=bggr" && BAYER_CONVERT="bayer2rgb ! " && \
		RAW_COL_FORMAT="bayer,format=bggr" && COL_FORMAT_XV=$COL_FORMAT && \
		COL_FORMAT_SCALE="rgb"
	[ $CAMERA = "VM-006(mt9m001)" ] && FRAME_SIZE=",width=1280,height=1024" && \
		REG_SET_FILE="$(dirname $0)/register-settings-mt9m001.txt"
	[ $CAMERA = "VM-009(mt9m131)" ] && FRAME_SIZE=",width=1280,height=1024" && \
		REG_SET_FILE="$(dirname $0)/register-settings-mt9m131.txt" && \
		COL_FORMAT="yuv" && BAYER_CONVERT="" && RAW_COL_FORMAT="rgb" && \
		COL_FORMAT_XV="yuv" && COL_FORMAT_SCALE="yuv"
	[ $CAMERA = "VM-008(tw9910)" ] && FRAME_SIZE=",width=720,height=576" && \
		REG_SET_FILE="$(dirname $0)/register-settings-tw9910.txt" && \
		COL_FORMAT="yuv" && BAYER_CONVERT="" && RAW_COL_FORMAT="yuv" && \
		NUMBER_OF_PIC="4" && NORM="norm=PAL" && COL_FORMAT_XV=$COL_FORMAT && \
		COL_FORMAT_SCALE="yuv"
	[ $CAMERA = "VM-011(mt9p031/mt9p006)" ] && FRAME_SIZE=",width=2592,height=1944" && \
		REG_SET_FILE="$(dirname $0)/register-settings-mt9p031.txt" && \
		COL_FORMAT="bayer,format=grbg" && BAYER_CONVERT="bayer2rgb ! " && \
		RAW_COL_FORMAT="bayer,format=grbg" && COL_FORMAT_XV=$COL_FORMAT && \
		COL_FORMAT_SCALE="rgb"
}
